info.bioinfweb.jphyloio.utils

## Enum LabelEditingReporter.LabelStatus

- java.lang.Object
- - java.lang.Enum<LabelEditingReporter.LabelStatus>
  - - info.bioinfweb.jphyloio.utils.LabelEditingReporter.LabelStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LabelEditingReporter.LabelStatus>
  Enclosing class:
    LabelEditingReporter

      public static enum LabelEditingReporter.LabelStatus
      extends java.lang.Enum<LabelEditingReporter.LabelStatus>

  Enumerates the possible cases of how the label associated with a data element was treated by an instance of `JPhyloIOEventWriter`.
  Since:
    0.0.0
  Author:
    Ben Stöver

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EDITED` The label was edited to match the requirements of the target document.
    `NOT_FOUND` There is no entry for the specified element (probably it was not contained in the data to be written).
    `NOT_WRITTEN` The specified element was not written, because the target format does not support such elements.
    `UNCHANGED` The label was used unchanged in the target document.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LabelEditingReporter.LabelStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LabelEditingReporter.LabelStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCHANGED

          public static final LabelEditingReporter.LabelStatus UNCHANGED

      The label was used unchanged in the target document.

    - #### EDITED

          public static final LabelEditingReporter.LabelStatus EDITED

      The label was edited to match the requirements of the target document.

    - #### NOT_WRITTEN

          public static final LabelEditingReporter.LabelStatus NOT_WRITTEN

      The specified element was not written, because the target format does not support such elements.

    - #### NOT_FOUND

          public static final LabelEditingReporter.LabelStatus NOT_FOUND

      There is no entry for the specified element (probably it was not contained in the data to be written).

  - ### Method Detail

    - #### values

          public static LabelEditingReporter.LabelStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LabelEditingReporter.LabelStatus c : LabelEditingReporter.LabelStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LabelEditingReporter.LabelStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null